<script lang="ts">
export default {
  methods: {
    clearCart() {
      this.$store.commit('clearAllCart');
    }
  }
}
</script>

<template>
  <section class="cart">
    <h1>Cart</h1>
    <button @click="clearCart">Clear cart</button>
    <table class="table" border="1">
      <thead>
        <tr>
          <th>Product</th>
          <th>Quantity</th>
          <th>Price</th>
          <th>Total price</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="product in $store.state.cart">
          <td>{{  product.product  }}</td>
          <td>{{  product.quantity  }}</td>
          <td>{{  (product.price).toFixed(2)  }} BGN</td>
          <td>{{  (product.quantity * product.price).toFixed(2)  }}BGN</td>
        </tr>
      </tbody>
    </table>
  </section>
</template>
